## dzl-simple-label

dzl-simple-label

## Functions

GtkWidget * | dzl_simple_label_new ()
const gchar * | dzl_simple_label_get_label ()
void | dzl_simple_label_set_label ()
gint | dzl_simple_label_get_width_chars ()
void | dzl_simple_label_set_width_chars ()
gfloat | dzl_simple_label_get_xalign ()
void | dzl_simple_label_set_xalign ()

## Properties

char * | label | Read / Write
int | width-chars | Read / Write
float | xalign | Read / Write

## Types and Values

#define | DZL_TYPE_SIMPLE_LABEL
| DzlSimpleLabel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── DzlSimpleLabel

## Implemented Interfaces

DzlSimpleLabel implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_simple_label_new ()

    GtkWidget *
    dzl_simple_label_new (const gchar *label);

### dzl_simple_label_get_label ()

    const gchar *
    dzl_simple_label_get_label (DzlSimpleLabel *self);

### dzl_simple_label_set_label ()

    void
    dzl_simple_label_set_label (DzlSimpleLabel *self,
                                const gchar *label);

### dzl_simple_label_get_width_chars ()

    gint
    dzl_simple_label_get_width_chars (DzlSimpleLabel *self);

### dzl_simple_label_set_width_chars ()

    void
    dzl_simple_label_set_width_chars (DzlSimpleLabel *self,
                                      gint width_chars);

### dzl_simple_label_get_xalign ()

    gfloat
    dzl_simple_label_get_xalign (DzlSimpleLabel *self);

### dzl_simple_label_set_xalign ()

    void
    dzl_simple_label_set_xalign (DzlSimpleLabel *self,
                                 gfloat xalign);

## Types and Values

### DZL_TYPE_SIMPLE_LABEL

    #define DZL_TYPE_SIMPLE_LABEL (dzl_simple_label_get_type())

### DzlSimpleLabel

    typedef struct _DzlSimpleLabel DzlSimpleLabel;

## Property Details

### The `“label”` property

      “label”                    char *

Owner: DzlSimpleLabel

Flags: Read / Write

Default value: NULL

### The `“width-chars”` property

      “width-chars”              int

Owner: DzlSimpleLabel

Flags: Read / Write

Allowed values: [-1,1000]

Default value: -1

### The `“xalign”` property

      “xalign”                   float

Owner: DzlSimpleLabel

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5